package com.fs.course.service;

import java.util.List;
import com.fs.course.domain.FsUserTalent;

/**
 * 达人Service接口
 *
 * @author fs
 * @date 2024-05-31
 */
public interface IFsUserTalentService
{
    /**
     * 查询达人
     *
     * @param talentId 达人主键
     * @return 达人
     */
    public FsUserTalent selectFsUserTalentByTalentId(Long talentId);

    /**
     * 查询达人列表
     *
     * @param fsUserTalent 达人
     * @return 达人集合
     */
    public List<FsUserTalent> selectFsUserTalentList(FsUserTalent fsUserTalent);

    /**
     * 新增达人
     *
     * @param fsUserTalent 达人
     * @return 结果
     */
    public int insertFsUserTalent(FsUserTalent fsUserTalent);

    /**
     * 修改达人
     *
     * @param fsUserTalent 达人
     * @return 结果
     */
    public int updateFsUserTalent(FsUserTalent fsUserTalent);

    /**
     * 批量删除达人
     *
     * @param talentIds 需要删除的达人主键集合
     * @return 结果
     */
    public int deleteFsUserTalentByTalentIds(Long[] talentIds);

    /**
     * 删除达人信息
     *
     * @param talentId 达人主键
     * @return 结果
     */
    public int deleteFsUserTalentByTalentId(Long talentId);


    int updateFans(Long talentId, Integer type);
}
